Doomsday Engine - Bug #2203

Double profiles after first execution (randomly)
2017-02-21 05:24 - Drako

Status: Closed Start date: 2017-02-21
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version:

Description

build 2242.

After execution doomsday for the first time (when the "runtime" directory is not present) profiles on the home ui are doubled (see
2242.jpQg).

(The above describes behavior on a new machine | have temporary access to. On my old Vista machine the first execution ends up
in the black screen which | have to close using alt+f4. The second execution gives me windowed maximized mode which | can
change to full-screen)

Associated revisions

Revision cce4c7d8 - 2017-02-22 08:05 - skyjake
Fixed|Ul|Home: Game profiles listed in duplicate after launching
On the first launch, game profiles are populated based on the
available games, and it was possible that this operation was done
twice if the games are immediately playable.
Revision 03f6de20 - 2017-02-22 08:06 - skyjake
Fixed|Ul|Home: Game profiles listed in duplicate after launching
On the first launch, game profiles are populated based on the
available games, and it was possible that this operation was done

twice if the games are immediately playable.
History

#1 - 2017-02-21 05:54 - skyjake
- Tags set to Home, Ul
- Subject changed from Duoble profiles after first execution to Double profiles after first execution

- Target version changed from 2.0 — Home Ul & Packages to 49

Could you describe the exact actions you took on that first run that produced duplicate profiles?

Please attach the file "configs/game.dei" from your runtime folder. That's where the profiles are stored.

#2 - 2017-02-22 02:57 - Drako

| did more testing on two systems (one with vista and the other with win10). | do the following. | remove the runtime directory, | unpack x64 zip, | copy
standard WADs to data and then execute doomsday.exe. The behavior is quite random. 3 possibilities occur

1) expected execution

2) double profiles in all are some of panels doom/heretic’hexem . the content of game.dei is as expected (each profile occurs just once)

3) black screen which needs to be closed by alt+f4 (no game.dei file). Second execution is fine.

#3 - 2017-02-22 06:10 - skyjake
- Subject changed from Double profiles after first execution to Double profiles after first execution (randomly)
- Status changed from New to In Progress

- Assignee set to skyjake
Thanks, | can follow the same steps and see if | can spot the bug.

#4 - 2017-02-22 08:10 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

| found the problem and it should now be fixed for the next build. Thanks for reporting!

#5 - 2017-02-23 05:48 - Drako

| tested it for a while and it seems to work correctly.

#6 - 2017-02-25 11:27 - skyjake

- Status changed from Resolved to Closed

#7 - 2017-02-25 12:02 - skyjake
- Target version deleted (49)
